Package org.eclipse.ecf.remoteservice.client

## Class RemoteCallableFactory

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.RemoteCallableFactory

    public class RemoteCallableFactory
    extends Object

Factory for creating `IRemoteCallable` instances.

Since:
  4.0

### Constructor Summary

Constructors
`RemoteCallableFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IRemoteCallable` `createCallable​(String method)`
`static IRemoteCallable` `createCallable​(String method, String resourcePath)`
`static IRemoteCallable` `createCallable​(String method, String resourcePath, IRemoteCallableRequestType requestType)`
`static IRemoteCallable` `createCallable​(String method, String resourcePath, IRemoteCallableRequestType requestType, long timeout)`
`static IRemoteCallable` `createCallable​(String method, String resourcePath, IRemoteCallParameter[] defaultParameters)`
`static IRemoteCallable` `createCallable​(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType)`
`static IRemoteCallable` `createCallable​(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType, long defaultTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteCallableFactory

    public RemoteCallableFactory()

### Method Detail

#### createCallable

    public static IRemoteCallable createCallable​(String method,
                                                 String resourcePath,
                                                 IRemoteCallParameter[] defaultParameters,
                                                 IRemoteCallableRequestType requestType,
                                                 long defaultTimeout)

#### createCallable

    public static IRemoteCallable createCallable​(String method,
                                                 String resourcePath,
                                                 IRemoteCallParameter[] defaultParameters,
                                                 IRemoteCallableRequestType requestType)

#### createCallable

    public static IRemoteCallable createCallable​(String method,
                                                 String resourcePath,
                                                 IRemoteCallParameter[] defaultParameters)

#### createCallable

    public static IRemoteCallable createCallable​(String method,
                                                 String resourcePath)

#### createCallable

    public static IRemoteCallable createCallable​(String method)

#### createCallable

    public static IRemoteCallable createCallable​(String method,
                                                 String resourcePath,
                                                 IRemoteCallableRequestType requestType,
                                                 long timeout)

#### createCallable

    public static IRemoteCallable createCallable​(String method,
                                                 String resourcePath,
                                                 IRemoteCallableRequestType requestType)